For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp Campaigns

Update a WhatsApp campaign

PUT
https://api.brevo.com/v3/whatsappCampaigns/:campaignId
PUT
/v3/whatsappCampaigns/:campaignId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.updateWhatsAppCampaign(1, {});
8}
9main();
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating Whatsapp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note> <Note>This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. [Get all the Lists](https://developers.brevo.com/reference/getlists-1) [Get all the Segments](https://developers.brevo.com/reference/getsegments)</Note>
Was this page helpful?
Previous

Return all your created WhatsApp templates

Next
Built with
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating Whatsapp in your account
This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. Get all the Lists Get all the Segments

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
id of the campaign

Request

Values to update a WhatsApp Campaign
campaignNamestringOptional
Name of the campaign
campaignStatusenumOptionalDefaults to scheduled
Status of the campaign
Allowed values:
recipientsobjectOptional

Segment ids and List ids to include/exclude from campaign

rescheduleForstringOptional

Reschedule the sending UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of campaign. **Prefer to pass your timezone in date-time format for accurate result.For example: 2017-06-01T12:30:00+02:00 Use this field to update the scheduledAt of any existing draft or scheduled WhatsApp campaign.

Errors

400
Bad Request Error